# kmljoin

Join multiple KML files into a single KML file. One `gx:Track` per file and all `gx:SimpleArrayData`s will be merged.**

# Expected format

This was written to handle Foreflight track logs, which look something like this.

```xml
<?xml version="1.0" encoding="UTF-8"?>
<kml xmlns="http://www.opengis.net/kml/2.2"  xmlns:gx="http://www.google.com/kml/ext/2.2">
 <Document>
  <open>1</open>
  <visibility>1</visibility>
  <Style id="trackStyle"><LineStyle>,<PolyStyle>...</Style>
  <Placemark>
   <name></name>
   <gx:Track>
    <altitudeMode>absolute</altitudeMode>
    <extrude>1</extrude>
    <gx:interpolate>1</gx:interpolate>
    <when>...</when>
    <gx:coord>....</gx:coord>
    <when>...</when>
    <gx:coord>....</gx:coord>
    <when>...</when>
    <gx:coord>....</gx:coord>
   </gx:Track>
  </Placemark>
  <Placemark><name>Start</name><Point><coordinates>...</coordinates></Point></Placemark>
  <ExtendedData>
   <SchemaData>
    <gx:SimpleArrayData name="acc_horiz"><gx:value>0</gx:value>...</gx:SimpleArrayData>
    <gx:SimpleArrayData name="acc_vert"><gx:value>0</gx:value>...</gx:SimpleArrayData>
    <gx:SimpleArrayData name="course"><gx:value>0</gx:value>...</gx:SimpleArrayData>
    <gx:SimpleArrayData name="speed_kts"><gx:value>0</gx:value>...</gx:SimpleArrayData>
    <gx:SimpleArrayData name="altitude"><gx:value>0</gx:value>...</gx:SimpleArrayData>
    <gx:SimpleArrayData name="bank"><gx:value>0</gx:value>...</gx:SimpleArrayData>
    <gx:SimpleArrayData name="pitch"><gx:value>0</gx:value>...</gx:SimpleArrayData>
   </SchemaData>
   <Data name="source"><displayName>Source</displayName><value>ForeFlight Web</value></Data>
   <Data name="GPSModelName"><value>Stratus</value></Data>
   <Data name="flightTitle"><value></value></Data>
   <Data name="pilotName"><value></value></Data>
   <Data name="tailNumber"><value></value></Data>
   <Data name="pilotNotes"><value></value></Data>
  </ExtendedData>
 </Document>
</kml>
```
